summaryrefslogtreecommitdiffstats
path: root/util/git-hooks/commit-msg
diff options
context:
space:
mode:
Diffstat (limited to 'util/git-hooks/commit-msg')
-rwxr-xr-xutil/git-hooks/commit-msg15
1 files changed, 15 insertions, 0 deletions
diff --git a/util/git-hooks/commit-msg b/util/git-hooks/commit-msg
new file mode 100755
index 0000000..710fe78
--- /dev/null
+++ b/util/git-hooks/commit-msg
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# A hook script to check the commit log message.
+# Called by "git commit" with one argument, the name of the file
+# that has the commit message. The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit. The hook is allowed to edit the commit message file.
+#
+
+# Catches duplicate Signed-off-by lines.
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+ sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
+ echo "Duplicate Signed-off-by lines." >&2
+ exit 1
+}
OpenPOWER on IntegriCloud